Subject: [Gen-art] Gen-ART review of draft-krishnan-v6ops-teredo-update-07

From: <[email-masked]>
Date: Fri, 28 May 2010 19:30:15 -0400

I have been selected as the General Area Review Team (Gen-ART)
reviewer for this draft (for background on Gen-ART, please see
http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html).

Please wait for direction from your document shepherd
or AD before posting a new version of the draft.

Document: draft-krishnan-v6ops-teredo-update-07
Reviewer: David L. Black
Review Date: 28 May 2010
IESG Telechat date: 3 June 2010

Summary:
This draft is basically ready for publication, but has nits that should be fixed before publication.

This is a reasonably well written short draft that injects randomness into Teredo IPv6 address generation and deprecates the Teredo cone bit.

The -07 version of this draft has not addressed the comments from the Gen-ART review of the -06 version, beyond correcting two of the four nits that idnits found.

I found a few nits:

(1) The first nit is right at the start of the draft (!).  This draft is clearly intended to update RFC 4380, but "Updates: 4380" is missing from the draft header on p.1.  Please add that.

(2) Section 3.2 on p.6 uses the acronyms RA and RS - they need to be expanded on first use.

(3) The first paragraph in the Security Considerations section (5) states the goal of comparable address prediction resistance (security) wrt a host directly attached to an untrusted Internet link, but nothing in the Security Considerations section indicates how close the technique in this draft comes to achieving that goal.  I suggest adding a short discussion of how 13 random bits compares with the level of randomness that can be expected from native IPv6 address assignment mechanisms.

(4) idnits 2.12.04 found two more nits that should be easy to address:

  == You're using the IETF Trust Provisions' Section 6.b License Notice from
     12 Sep 2009 rather than the newer Notice from 28 Dec 2009.  (See
     http://trustee.ietf.org/license-info/)

--> Just copy the boilerplate.

  == No 'Intended status' indicated for this document; assuming Proposed
     Standard

--> Add the Intended status line.

Thanks,
--David
----------------------------------------------------
David L. Black, Distinguished Engineer
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------